<?php

/*
 * © 2016 IRSTEA
 * Guillaume Perréal <guillaume.perreal@irstea.fr>
 * Tous droits réservés.
 */

namespace Irstea\PlantUmlBundle\Model\Node;

use Irstea\PlantUmlBundle\Model\NamespaceInterface;

/**
 * Description of Class_
 *
 * @author Guillaume Perréal <guillaume.perreal@irstea.fr>
 */
class Class_ extends BaseNode
{
    public function __construct(NamespaceInterface $namespace, $name, $isAbstract, $isFinal)
    {
        $classifiers = [];
        if ($isAbstract) {
            $classifiers[] = 'abstract';
        } elseif ($isFinal) {
            $classifiers[] = 'final';
        }
        parent::__construct($namespace, $name, "class", $classifiers, []);
    }
}
